Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.model
Class Join

    java.lang.Object
      org.modeshape.jcr.query.model.Join

All Implemented Interfaces:
  Serializable, Join, Source, LanguageObject, Visitable

    @Immutable
    public class Join

extends Object
implements Source, Join

See Also:
  Serialized Form

Constructor Summary
`Join(Source left, JoinType type, Source right, JoinCondition joinCondition)` Create a join of the left and right sources, using the supplied join condition.

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`boolean` | `equals(Object obj)`
`JoinCondition` | `getJoinCondition()`
`String` | `getJoinType()`
`Source` | `getLeft()`
`Source` | `getRight()`
`int` | `hashCode()`
`String` | `toString()`
`JoinType` | `type()` Get the type of join.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Join

    public Join(Source left,
                JoinType type,
                Source right,
                JoinCondition joinCondition)

  Create a join of the left and right sources, using the supplied join condition. The outputs of the left and right sources are expected to be equivalent.

  Parameters:
    `left` - the left source being joined
    `type` - the type of join
    `right` - the right source being joined
    `joinCondition` - the join condition

Method Detail

### getLeft

    public Source getLeft()

  Specified by:
    `getLeft` in interface `Join`

### getRight

    public Source getRight()

  Specified by:
    `getRight` in interface `Join`

### getJoinType

    public String getJoinType()

  Specified by:
    `getJoinType` in interface `Join`

### type

    public final JoinType type()

  Get the type of join.

  Returns:
    the join type; never null

### getJoinCondition

    public JoinCondition getJoinCondition()

  Specified by:
    `getJoinCondition` in interface `Join`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### accept

    public void accept(Visitor visitor)

  Description copied from interface: `Visitable`
  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.